<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: InventoryInputUserData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d9b/class_inventory_input_user_data.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">InventoryInputUserData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a94edf2a11d77cf3acafcfff0b1f79130"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a94edf2a11d77cf3acafcfff0b1f79130">SerializeDestroy</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src)</td></tr>
<tr class="separator:a94edf2a11d77cf3acafcfff0b1f79130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf01df2cf149cf91e1027f6bfe28384c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#adf01df2cf149cf91e1027f6bfe28384c">SendInputUserDataDestroy</a> (notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src)</td></tr>
<tr class="separator:adf01df2cf149cf91e1027f6bfe28384c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:ad549c32bdc1e816040479c773417f8e2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#ad549c32bdc1e816040479c773417f8e2">SerializeMove</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst)</td></tr>
<tr class="memdesc:ad549c32bdc1e816040479c773417f8e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">move  <a href="../../d8/d9b/class_inventory_input_user_data.html#ad549c32bdc1e816040479c773417f8e2">More...</a><br /></td></tr>
<tr class="separator:ad549c32bdc1e816040479c773417f8e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f50298631f37dc3faa9d24faa36618d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a7f50298631f37dc3faa9d24faa36618d">SendInputUserDataMove</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst)</td></tr>
<tr class="separator:a7f50298631f37dc3faa9d24faa36618d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46cf09c0d80f9d0cf83f1f745869baa8"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a46cf09c0d80f9d0cf83f1f745869baa8">SendServerMove</a> (Man player, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst)</td></tr>
<tr class="separator:a46cf09c0d80f9d0cf83f1f745869baa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:a09edd148623fa3ab64215d32a623566f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a09edd148623fa3ab64215d32a623566f">SerializeSwap</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src2, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst2, <a class="el" href="../../d9/db9/classbool.html">bool</a> skippedSwap)</td></tr>
<tr class="memdesc:a09edd148623fa3ab64215d32a623566f"><td class="mdescLeft">&#160;</td><td class="mdescRight">swap  <a href="../../d8/d9b/class_inventory_input_user_data.html#a09edd148623fa3ab64215d32a623566f">More...</a><br /></td></tr>
<tr class="separator:a09edd148623fa3ab64215d32a623566f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88976045902659d4015ae254f1677a6d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a88976045902659d4015ae254f1677a6d">SendInputUserDataSwap</a> (notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src2, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst2, <a class="el" href="../../d9/db9/classbool.html">bool</a> skippedSwap=false)</td></tr>
<tr class="separator:a88976045902659d4015ae254f1677a6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c10d652abebce8ce2ed1a18ef16464"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#af5c10d652abebce8ce2ed1a18ef16464">SendServerSwap</a> (notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> src2, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst1, notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> dst2, <a class="el" href="../../d9/db9/classbool.html">bool</a> skippedSwap=false)</td></tr>
<tr class="separator:af5c10d652abebce8ce2ed1a18ef16464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:aada3694498f25c7713379f01f4b0b9a7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#aada3694498f25c7713379f01f4b0b9a7">SerializeHandEvent</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</td></tr>
<tr class="memdesc:aada3694498f25c7713379f01f4b0b9a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">hand  <a href="../../d8/d9b/class_inventory_input_user_data.html#aada3694498f25c7713379f01f4b0b9a7">More...</a><br /></td></tr>
<tr class="separator:aada3694498f25c7713379f01f4b0b9a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a553913e1cd2055de7b2852889ad4f68c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#a553913e1cd2055de7b2852889ad4f68c">SendInputUserDataHandEvent</a> (<a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</td></tr>
<tr class="separator:a553913e1cd2055de7b2852889ad4f68c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff1905f919369d8a2f412118186cb336"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html#aff1905f919369d8a2f412118186cb336">SendServerHandEventViaInventoryCommand</a> (notnull Man player, <a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a> e)</td></tr>
<tr class="separator:aff1905f919369d8a2f412118186cb336"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00002">2</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="adf01df2cf149cf91e1027f6bfe28384c" name="adf01df2cf149cf91e1027f6bfe28384c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf01df2cf149cf91e1027f6bfe28384c">&#9670;&#160;</a></span>SendInputUserDataDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendInputUserDataDestroy </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00114">114</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a553913e1cd2055de7b2852889ad4f68c" name="a553913e1cd2055de7b2852889ad4f68c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a553913e1cd2055de7b2852889ad4f68c">&#9670;&#160;</a></span>SendInputUserDataHandEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendInputUserDataHandEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00079">79</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a7f50298631f37dc3faa9d24faa36618d" name="a7f50298631f37dc3faa9d24faa36618d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f50298631f37dc3faa9d24faa36618d">&#9670;&#160;</a></span>SendInputUserDataMove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendInputUserDataMove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00013">13</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a88976045902659d4015ae254f1677a6d" name="a88976045902659d4015ae254f1677a6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88976045902659d4015ae254f1677a6d">&#9670;&#160;</a></span>SendInputUserDataSwap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendInputUserDataSwap </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>skippedSwap</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00048">48</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="aff1905f919369d8a2f412118186cb336" name="aff1905f919369d8a2f412118186cb336"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff1905f919369d8a2f412118186cb336">&#9670;&#160;</a></span>SendServerHandEventViaInventoryCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendServerHandEventViaInventoryCommand </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00090">90</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a46cf09c0d80f9d0cf83f1f745869baa8" name="a46cf09c0d80f9d0cf83f1f745869baa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46cf09c0d80f9d0cf83f1f745869baa8">&#9670;&#160;</a></span>SendServerMove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendServerMove </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00024">24</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="af5c10d652abebce8ce2ed1a18ef16464" name="af5c10d652abebce8ce2ed1a18ef16464"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5c10d652abebce8ce2ed1a18ef16464">&#9670;&#160;</a></span>SendServerSwap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SendServerSwap </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>skippedSwap</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00059">59</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a94edf2a11d77cf3acafcfff0b1f79130" name="a94edf2a11d77cf3acafcfff0b1f79130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94edf2a11d77cf3acafcfff0b1f79130">&#9670;&#160;</a></span>SerializeDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SerializeDestroy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00107">107</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="aada3694498f25c7713379f01f4b0b9a7" name="aada3694498f25c7713379f01f4b0b9a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aada3694498f25c7713379f01f4b0b9a7">&#9670;&#160;</a></span>SerializeHandEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SerializeHandEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d9e/class_hand_event_base.html">HandEventBase</a>&#160;</td>
          <td class="paramname"><em>e</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>hand </p>

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00072">72</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="ad549c32bdc1e816040479c773417f8e2" name="ad549c32bdc1e816040479c773417f8e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad549c32bdc1e816040479c773417f8e2">&#9670;&#160;</a></span>SerializeMove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SerializeMove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>move </p>

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00005">5</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<a id="a09edd148623fa3ab64215d32a623566f" name="a09edd148623fa3ab64215d32a623566f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09edd148623fa3ab64215d32a623566f">&#9670;&#160;</a></span>SerializeSwap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void InventoryInputUserData::SerializeSwap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>src2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>dst2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>skippedSwap</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>swap </p>

<p class="definition">Definition at line <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html#l00037">37</a> of file <a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/Inventory/<a class="el" href="../../da/d93/_inventory_input_user_data_8c_source.html">InventoryInputUserData.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d9b/class_inventory_input_user_data.html">InventoryInputUserData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
